/*
 * Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it would be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * Further, this software is distributed without any warranty that it is
 * free of the rightful claim of any third person regarding infringement
 * or the like.  Any license provided herein, whether implied or
 * otherwise, applies only to this software file.  Patent licenses, if
 * any, provided herein do not apply to combinations of this program with
 * other software, or any other product whatsoever.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write the Free Software Foundation, Inc., 59
 * Temple Place - Suite 330, Boston MA 02111-1307, USA.
 * 
 * Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
 * Mountain View, CA  94043, or:
 * 
 * http://www.sgi.com 
 * 
 * For further information regarding this notice, see: 
 * 
 * http://oss.sgi.com/projects/GenInfo/NoticeExplan/
 */

/* $Id: get_attrib.h,v 1.1 2000/07/27 17:13:18 alaffin Exp $ */

/**********************************************************
 *
 *    IRIX/Linux Feature Test and Evaluation - Silicon Graphics, Inc.
 *
 *    FUNCTION NAME     : get_attrib.h
 *
 *    FUNCTION TITLE    : get_attrib definitions
 *
 *    SYNOPSIS:
 * See DESCRIPTION below.
 *
 *    AUTHOR            : Dennis Arason
 *
 *    INITIAL RELEASE   : UNICOS 7.0
 *
 *    DESCRIPTION
 *	Defines used by library routine get_attrib.
 *
 *#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#**/

#ifndef __GET_ATTRIB_H__
#define __GET_ATTRIB_H__

#define GA_BOTH_OFF    000        /* Set for PRIV_SU and PRIV_TFM off systems */
#define GA_SU_ON       001        /* Set for values equal to SU systems */
#define GA_TFM_ON      002        /* Set for values equal to TFM systems */
#define GA_BOTH_ON     003        /* Set for PRIV_SU and PRIV_TFM on systems */
#define GA_CURRENT_SYS 004        /* Use current systems configuration */
#define GA_DEBUG       010        /* Set for debug messages */

/*
 * Prototypes for support routines
 */
extern char *get_attrib(char *Cmd_name, char *Permits, char *Active_cat, char *Authorized_cat, long flag);

#ifndef __GET_ATTRIB_SOURCE   /* define externs for other modules */
extern char GA_Err_Msg[];		/* Error message returned */
extern char *GA_Prog_Name;		/* Name of executable */
#endif  /* __GET_ATTRIB_SOURCE*/

#endif  /* __GET_ATTRIB_H__ */
